changeset 039e38b3f202 in tryton-overlay:default
details: https://hg.tryton.org/tryton-overlay?cmd=changeset&node=039e38b3f202
description:
app-tryton/sale: versions bump
diffstat:
app-tryton/sale/Manifest | 12 ++++----
app-tryton/sale/sale-6.0.8.ebuild | 46 -------------------------------------
app-tryton/sale/sale-6.0.9.ebuild | 46 +++++++++++++++++++++++++++++++++++++
app-tryton/sale/sale-6.2.6.ebuild | 46 -------------------------------------
app-tryton/sale/sale-6.2.7.ebuild | 46 +++++++++++++++++++++++++++++++++++++
app-tryton/sale/sale-6.4.3.ebuild | 48 ---------------------------------------
app-tryton/sale/sale-6.4.4.ebuild | 48 +++++++++++++++++++++++++++++++++++++++
7 files changed, 146 insertions(+), 146 deletions(-)
diffs (321 lines):
diff -r 9978064705ca -r 039e38b3f202 app-tryton/sale/Manifest
--- a/app-tryton/sale/Manifest Thu Oct 20 19:55:17 2022 +0200
+++ b/app-tryton/sale/Manifest Thu Oct 20 19:57:14 2022 +0200
@@ -1,7 +1,7 @@
-DIST trytond_sale-6.0.8.tar.gz 171814 BLAKE2B
4060fc3a0c42497a96a9c90a49c367159a44b6a793029b620b91c3fa75982c2683b845423a745e1a0abb9588a8864c3440274e581859c0160e5025ce63ee98fb
SHA512
656d561ac1d9faacb0251c51262743ad4a3830088c292c3006c9675dbb39faac9047bef4a2252620e8146879e04c0e0a06ab02fe4b574cdf988f08727bfb9328
-DIST trytond_sale-6.2.6.tar.gz 196114 BLAKE2B
a6c971873808d26ce8a195b8343d0827ce04f26f73a7a5da99d462e3ba58f83490324beba74aefe59c81347b450f30b004dafcdad8db5c49797ae2477cc58868
SHA512
e31752de3b0cda1af940f673e89f44cf870e020e6fcd6500f5cb3a8f7a618201b788baee97c4b363b5f475d05557867cc582af6538a58ee7227f5f233ef89703
-DIST trytond_sale-6.4.3.tar.gz 198703 BLAKE2B
7b66f83355902cc08105f30fba6b7039e1caf836bc531d2de6aeb98cbaa6ca38e9141c12b330e8398dae0244f2609c2636a9ddf6c03751f0efca6efdd9540117
SHA512
1e2e581cb2ead760b6e3aa4b877215f175fd2e5d62e5ba98533f2f5b248e3e1a3daf36fe6eb2460bfc62ce2c4ff0c805ababb38702c9a03735b32e358d8fbf09
-EBUILD sale-6.0.8.ebuild 1472 BLAKE2B
6e2bd73cfb73c1fb2b78413be3467a61c2e0a4089e33202a239c464999c9f03cd840d4214eb605ccc2681232fcb1b4a8754cf18d7d07e1dcec55dd3824cc27a7
SHA512
e970bf26eef7f749636c9b758aa890f95fb2220339824d94cafdccedfa2801e2059ccf648d86c4364d95fa4166e41df75e408b51a3cf7d42c48ceba4ac42bbab
-EBUILD sale-6.2.6.ebuild 1463 BLAKE2B
628c6c105654599d38998dc5570e3245cf38cdbff6bf4a478acabe6c608aa621348d152a274e7078800cc50c3c82e2d28df2e19c860f4622f4e86f0c0cf226f7
SHA512
d9e0eed7346fa814a23d8534bde6f1bb1f47d719d3bde17aa134d30e4da5b9070f5744901ad72d334501aa0db3ac8dd2c2e18c8549c131ae2c9c2805a5c15d7b
-EBUILD sale-6.4.3.ebuild 1476 BLAKE2B
231b3fc6f484f180f6365578a207cf6c8be1d4fb615f38885d321ffd1883f4f8eeac9d68e4c1195b3f9556302fd6e9df732d7497659f54ca31516046aacec742
SHA512
18c0a8e6198efbfce68b925256f380d2a1ad9afc4a7b427960059bb960d35c872c54b0f57dfe03063199d8f0779a6a9149958e7e424127123fa6510b9f2a935a
+DIST trytond_sale-6.0.9.tar.gz 171923 BLAKE2B
d349fe33101056f8bf0dd2860a46e90b8e7d5fed9080f93167e501c0f9ea4b126021eba0ad8360e075d42ba056724ec89fb94c0f9d83a4f3ba5eb46dcfee9cc6
SHA512
c17063f7989064547525e79855263704044302b8c8c617228e37cbb352350f0e94291edcd7b182d49908d74ed69b976ef0b95fde146be15d5152286e54d6f1e5
+DIST trytond_sale-6.2.7.tar.gz 196276 BLAKE2B
cda4238aced3bbc07f29a5d728bf4b6c92df6b03023216a86f3334315dfcf7795f040f0f02133022919db83172e98e91fd3ad0697228527ed49a8811b3062b1a
SHA512
fc1b5b220194de0ad6920535085ffb855e6c310d0ce183c3dfb0e2f3a6b7b9b76b9937f5412651422977b8e75c340265a01b140df1e2bd207c6dc918ff1bdfed
+DIST trytond_sale-6.4.4.tar.gz 198701 BLAKE2B
b4636dc538af6b8bcced1ae5f941f2b9b76824251ed8e0e20ac293bae4e43a895c4e1f0aa51d9cc3c23d4d0ce67e62b393d496b547acd2f7c13963ef8d326f66
SHA512
1cd6fdae739bcda75ff1522c6964042537afaaf5867b9e639203de94533827a42c6b415a95af8a150a0f565fa8ad14d5db1ec0f294449cc17b940980d44c2bbc
+EBUILD sale-6.0.9.ebuild 1472 BLAKE2B
6e2bd73cfb73c1fb2b78413be3467a61c2e0a4089e33202a239c464999c9f03cd840d4214eb605ccc2681232fcb1b4a8754cf18d7d07e1dcec55dd3824cc27a7
SHA512
e970bf26eef7f749636c9b758aa890f95fb2220339824d94cafdccedfa2801e2059ccf648d86c4364d95fa4166e41df75e408b51a3cf7d42c48ceba4ac42bbab
+EBUILD sale-6.2.7.ebuild 1463 BLAKE2B
628c6c105654599d38998dc5570e3245cf38cdbff6bf4a478acabe6c608aa621348d152a274e7078800cc50c3c82e2d28df2e19c860f4622f4e86f0c0cf226f7
SHA512
d9e0eed7346fa814a23d8534bde6f1bb1f47d719d3bde17aa134d30e4da5b9070f5744901ad72d334501aa0db3ac8dd2c2e18c8549c131ae2c9c2805a5c15d7b
+EBUILD sale-6.4.4.ebuild 1476 BLAKE2B
231b3fc6f484f180f6365578a207cf6c8be1d4fb615f38885d321ffd1883f4f8eeac9d68e4c1195b3f9556302fd6e9df732d7497659f54ca31516046aacec742
SHA512
18c0a8e6198efbfce68b925256f380d2a1ad9afc4a7b427960059bb960d35c872c54b0f57dfe03063199d8f0779a6a9149958e7e424127123fa6510b9f2a935a
MISC metadata.xml 319 BLAKE2B
cfcfe14c310e6f0b2fd2bf3da5359f91c8bdf9619da2f7cd292e40d3440f10da24854ab1166381ac61fe49fdd1a1fd81635c3f035dbee0014810331d07c3f069
SHA512
24eb96ab9abffca1b443080927dc832d02277ff9095cb32f69750b8c5768412189edf0dc71e43392a04fdf79faf1299306c0dc915d6cbe20bbf5c5ce678c768f
diff -r 9978064705ca -r 039e38b3f202 app-tryton/sale/sale-6.0.8.ebuild
--- a/app-tryton/sale/sale-6.0.8.ebuild Thu Oct 20 19:55:17 2022 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,46 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6..9} )
-
-inherit distutils-r1
-
-DESCRIPTION="Sale Module"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test +sparklines"
-
-RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_invoice-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_invoice_stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/country-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- >=dev-python/python-sql-0.4[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- sparklines? ( dev-python/pygal )" # TODO: add PYTHON_USEDEP
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- $(python_gen_impl_dep sqlite)
- =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- )"
-RESTRICT="!test? ( test )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 9978064705ca -r 039e38b3f202 app-tryton/sale/sale-6.0.9.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/sale/sale-6.0.9.ebuild Thu Oct 20 19:57:14 2022 +0200
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sale Module"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test +sparklines"
+
+RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_invoice-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_invoice_stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/country-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ >=dev-python/python-sql-0.4[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ sparklines? ( dev-python/pygal )" # TODO: add PYTHON_USEDEP
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_impl_dep sqlite)
+ =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ )"
+RESTRICT="!test? ( test )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
diff -r 9978064705ca -r 039e38b3f202 app-tryton/sale/sale-6.2.6.ebuild
--- a/app-tryton/sale/sale-6.2.6.ebuild Thu Oct 20 19:55:17 2022 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,46 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-PYTHON_COMPAT=( python3_{6..9} )
-
-inherit distutils-r1
-
-DESCRIPTION="Sale Module"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test +sparklines"
-
-RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_invoice-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_invoice_stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/country-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- >=dev-python/python-sql-0.4[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- sparklines? ( dev-python/pygal[${PYTHON_USEDEP}] )"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- $(python_gen_impl_dep sqlite)
- =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- )"
-RESTRICT="!test? ( test )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 9978064705ca -r 039e38b3f202 app-tryton/sale/sale-6.2.7.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/sale/sale-6.2.7.ebuild Thu Oct 20 19:57:14 2022 +0200
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sale Module"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test +sparklines"
+
+RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_invoice-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_invoice_stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/country-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ >=dev-python/python-sql-0.4[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ sparklines? ( dev-python/pygal[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_impl_dep sqlite)
+ =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ )"
+RESTRICT="!test? ( test )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
diff -r 9978064705ca -r 039e38b3f202 app-tryton/sale/sale-6.4.3.ebuild
--- a/app-tryton/sale/sale-6.4.3.ebuild Thu Oct 20 19:55:17 2022 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,48 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Sale Module"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test +sparklines"
-
-RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_invoice-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_invoice_stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/account_product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/country-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- >=dev-python/python-sql-0.4[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- sparklines? ( dev-python/pygal[${PYTHON_USEDEP}] )"
-DEPEND="${RDEPEND}
- test? (
- $(python_gen_impl_dep sqlite)
- =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- )"
-RESTRICT="!test? ( test )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT doc/*.rst"
-
-distutils_enable_tests unittest
-
-python_test() {
- DB_NAME=":memory:" eunittest
-}
diff -r 9978064705ca -r 039e38b3f202 app-tryton/sale/sale-6.4.4.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/sale/sale-6.4.4.ebuild Thu Oct 20 19:57:14 2022 +0200
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sale Module"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test +sparklines"
+
+RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_invoice-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_invoice_stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/account_product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/country-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/product-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/stock-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ >=dev-python/python-sql-0.4[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ sparklines? ( dev-python/pygal[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ test? (
+ $(python_gen_impl_dep sqlite)
+ =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ )"
+RESTRICT="!test? ( test )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT doc/*.rst"
+
+distutils_enable_tests unittest
+
+python_test() {
+ DB_NAME=":memory:" eunittest
+}